> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 实时 LLM 提及

> 实时 LLM 提及搜索端点提供来自 AI 搜索的提及数据及相关指标。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/ai_optimization/llm_mentions/search/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/ai_optimization/llm_mentions/search/live:
    post:
      summary: 实时 LLM 提及
      description: >-
        Live LLM Mentions Search 端点提供 AI 搜索中的提及数据及相关指标。结果取决于所选平台（`google` 表示
        Google 的 AI Overview，`chat_gpt` 表示
        ChatGPT）以及位置和语言参数（请参阅[位置和语言列表](https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages.md)）。
      operationId: post_dataforseo_ai_optimization_llm_mentions_search_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: array
                  items:
                    type: string
                  description: >-
                    包含目标实体的对象数组，必填字段。您最多可以在 target 字段中指定 10 个实体（对象）。一个目标实体可以包含一个
                    domain 或一个 keyword 以及相关参数。示例：包含 domain 实体的 target 数组
                    [{"domain": "en.wikipedia.org", "search_filter":
                    "exclude"}]；包含 keyword 实体的 target 数组 [{"keyword": "bmw",
                    "search_scope": ["question"], "match_type ":
                    "partial_match"}]；包含多个实体的 target 数组 [{"domain":
                    "en.wikipedia.org", "search_filter": "exclude"}, {"keyword":
                    "bmw", "match_type ": "partial_match", "search_scope":
                    ["answer"]}]
                domain_entity:
                  type: object
                  description: >-
                    目标数组中的域名实体示例：{"domain": "en.wikipedia.org", "search_filter":
                    "exclude", "search_scope": ["sources"]}
                domain:
                  type: string
                  description: >-
                    目标域名，必填字段。如果未指定 keyword，则可在 domain 字段中指定最多 63 个字符；域名应省略
                    https:// 和 www.
                search_filter:
                  type: string
                  description: 目标关键词搜索过滤器，可选字段，可能的值：include、exclude，默认值：include
                search_scope:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标关键词搜索范围，可选字段，可能的值：any、question、answer、brand_entities、fan_out_queries，默认值：any
                include_subdomains:
                  type: boolean
                  description: 表示搜索是否包含目标域名的子域名，可选字段。设为 true 时，搜索将包含子域名。默认值：false
                keyword_entity:
                  type: object
                  description: >-
                    目标数组中的关键词实体；示例：{"keyword": "bmw", "search_filter":
                    "include", "search_scope": ["question"], "match_type ":
                    "partial_match"}
                keyword:
                  type: string
                  description: >-
                    目标关键词 如果未指定 domain，则为必填字段 keyword 字段最多可指定 250 个字符 所有 %##
                    都将被解码（加号字符 ‘+’ 将被解码为空格字符）
                    如果关键词中需要使用“%”字符，请将其指定为“%25”；如果关键词中需要使用“+”字符，请将其指定为“%2B”有关
                    DataForSEO API 中 keyword 和 keywords 字段的规则与限制，请参阅此帮助中心文章
                match_type:
                  type: string
                  description: >-
                    目标关键词匹配类型，定义指定关键词的匹配方式。可选字段。可用值：word_match -
                    对与指定种子关键词匹配的词项执行全文搜索，允许在关键短语之前、之后或内部包含其他词语（例如，搜索 "light"
                    将返回包含 "light bulb"、"light switch" 的结果）；partial_match -
                    子字符串搜索，查找包含指定字符序列的所有实例，即使该序列位于更长的单词内部（例如，搜索 "light" 将返回包含
                    "lighting"、"highlight" 的结果）；默认值：word_match
                location_name:
                  type: string
                  description: >-
                    搜索位置的完整名称，可选字段。如果使用此字段，则无需指定 location_code。如果未指定此字段，默认使用值为
                    2840 的 location_code；您可以单独向
                    https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
                    发出请求，以获取搜索引擎可用位置及其 location_name 的列表。注意：chat_gpt 数据仅适用于
                    United States
                location_code:
                  type: integer
                  description: >-
                    搜索位置代码，可选字段。如果使用此字段，则无需指定 location_name。可通过向
                    https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
                    单独发送请求，获取搜索引擎的可用位置及其 location_code。默认值：2840。注意：chat_gpt
                    数据仅适用于 2840
                language_name:
                  type: string
                  description: >-
                    搜索语言的完整名称，可选字段；如果使用此字段，则无需指定 language_code；如果未指定此字段，将默认使用值为
                    en 的 language_code；你可以单独请求
                    https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages，以获取搜索引擎可用语言及其
                    language_name 的列表。注意：chat_gpt 数据仅支持英语
                language_code:
                  type: string
                  description: >-
                    搜索语言代码，可选字段。如果使用此字段，则无需指定 language_name；可通过向
                    https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
                    单独发送请求，获取搜索引擎的可用语言及其 language_code_by。默认值：en。注意：chat_gpt
                    数据仅适用于 en onlyn
                platform:
                  type: string
                  description: >-
                    目标平台。可选字段。可能的值：chat_gpt、google。默认值：google。注意：返回的数据取决于所选平台。注意
                    #2：chat_gpt 数据仅适用于美国和英语
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果筛选参数数组，可选字段；可以同时添加多个筛选条件（最多 8 个筛选条件）；应在条件之间设置逻辑运算符
                    and、or；支持以下运算符：=, , in, not_in, like, not_like, ilike,
                    not_ilike, match, not_match；可以将 % 运算符与 like 和 not_like
                    配合使用，以匹配由零个或多个字符组成的任意字符串；示例：["ai_search_volume",">","1000"]所有可用筛选条件的完整列表可在此处查看。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则，可选字段。你可以使用与 filters 数组中相同的值对结果进行排序。可用的排序类型：asc -
                    结果将按升序排列；desc -
                    结果将按降序排列。你应使用逗号设置排序类型，例如：["ai_search_volume,desc"]。请注意，单个请求中最多可以设置三条排序规则。你应使用逗号分隔多条排序规则。
                offset:
                  type: integer
                  description: >-
                    返回的提及数据中 results 数组的偏移量，可选字段。默认值：0。示例：如果指定值 10，results
                    数组中的前十个提及对象将被忽略，并提供后续对象的数据。注意：最大值为 9,000；如果需要偏移更多结果，请使用
                    search_after_token
                search_after_token:
                  type: string
                  description: >-
                    用于后续请求的 token；可选字段；每个请求的响应中都会在同名字段中提供；尝试通过单次请求获取超过 20,000
                    条结果时，请使用此参数以避免超时；通过指定响应数组中的唯一 search_after_token
                    值，您将获得初始任务的后续结果；每个后续任务的 search_after_token
                    值都是唯一的；注意：如果请求中指定了 search_after_token，则所有其他参数都应与上一个请求保持一致
                limit:
                  type: integer
                  description: 返回对象的最大数量，可选字段，默认值：100，最大值：1000
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - target
                - domain
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.total_count:
                    type: integer
                    description: 与请求相关的结果总数
                  tasks.result.current_offset:
                    type: integer
                    description: items 数组中省略的 mentions 对象数量
                  tasks.result.search_after_token:
                    type: string
                    description: >-
                      后续请求的 token。在设置新任务时指定唯一的
                      search_after_token，即可获取初始任务的后续结果；每个后续任务的
                      search_after_token 值都是唯一的
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含相关提及数据
                  tasks.result.items.platform:
                    type: string
                    description: 在 POST 数组中接收的平台
                  tasks.result.items.model_name:
                    type: string
                    description: 数据来源的 AI 模型名称。注意：对于 google 平台类型，该值始终为 google_ai_overview
                  tasks.result.items.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.items.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items.question:
                    type: string
                    description: 相关问题
                  tasks.result.items.answer:
                    type: string
                    description: Markdown 格式的相关答案，即使用 Markdown 标记语言格式化的结果内容
                  tasks.result.items.sources:
                    type: array
                    items:
                      type: string
                    description: 来源数组，包含模型在最终回答中引用或依赖的来源
                  tasks.result.items.sources.snippet:
                    type: string
                    description: 来源描述
                  tasks.result.items.sources.source_name:
                    type: string
                    description: 来源名称
                  tasks.result.items.sources.thumbnail:
                    type: string
                    description: 来源缩略图
                  tasks.result.items.sources.markdown:
                    type: string
                    description: Markdown 格式的元素内容，即使用 Markdown 标记语言格式化的结果内容
                  tasks.result.items.sources.position:
                    type: integer
                    description: 在结果中的位置
                  tasks.result.items.sources.title:
                    type: string
                    description: 来源标题
                  tasks.result.items.sources.domain:
                    type: string
                    description: 来源域名
                  tasks.result.items.sources.url:
                    type: string
                    description: 来源 URL
                  tasks.result.items.sources.publication_date:
                    type: string
                    description: >-
                      结果发布日期和时间，格式为：“年-月-日 时:分:秒
                      UTC_时差小时数:UTC_时差分钟数”，示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.search_results:
                    type: array
                    items:
                      type: string
                    description: 搜索结果数组，包含模型在查找信息时检索到的所有网页搜索输出，包括重复项和未使用的条目
                  tasks.result.items.search_results.description:
                    type: string
                    description: 结果描述
                  tasks.result.items.search_results.breadcrumb:
                    type: string
                    description: 面包屑导航
                  tasks.result.items.search_results.position:
                    type: integer
                    description: 在结果中的位置
                  tasks.result.items.search_results.title:
                    type: string
                    description: 结果标题
                  tasks.result.items.search_results.domain:
                    type: string
                    description: 结果域名
                  tasks.result.items.search_results.url:
                    type: string
                    description: 结果 URL
                  tasks.result.items.search_results.publication_date:
                    type: string
                    description: >-
                      结果发布日期和时间，格式为：“年-月-日 时:分:秒
                      UTC_时差小时数:UTC_时差分钟数”，示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.ai_search_volume:
                    type: integer
                    description: 关键词当前的 AI 搜索量比率；在此处了解有关此指标的更多信息
                  tasks.result.items.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 每月 AI 搜索量比率，由对象组成的数组，包含某年特定月份的 AI 搜索量比率
                  tasks.result.items.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.monthly_searches.search_volume:
                    type: integer
                    description: 某年特定月份的 AI 搜索量比率；可在此处详细了解此指标
                  tasks.result.items.first_response_at:
                    type: string
                    description: >-
                      响应数据首次记录的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2025-10-21 06:25:30 +00:00
                  tasks.result.items.last_response_at:
                    type: string
                    description: >-
                      响应数据上次更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2025-10-21 06:25:30 +00:00
                  tasks.result.items.brand_entities:
                    type: array
                    items:
                      type: string
                    description: 品牌实体数组，包含响应中提及的品牌信息
                  tasks.result.items.brand_entities.position:
                    type: integer
                    description: 在结果中的位置
                  tasks.result.items.brand_entities.title:
                    type: string
                    description: 品牌名称
                  tasks.result.items.brand_entities.category:
                    type: string
                    description: 品牌类别
                  tasks.result.items.fan_out_queries:
                    type: array
                    items:
                      type: string
                    description: 扩展查询数组，包含从主查询派生的相关搜索查询，以提供更全面的响应
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````